A failure that escapes my comprehension

Luis Lavena luislavena at gmail.com
Wed Jan 11 19:55:01 EST 2012

In master, I've the following failure:

 12) Failure:
--- expected
+++ actual
@@ -1 +1 @@
-"\"executable\" from a conflicts with
+"\"executable\" from a conflicts with installed executable from conflict"

The error message comes from Gem::Installer#check_executable_overwrite

What I don't understand is why is triggering a ruby_executable
(conflict = "installed executable...")

PS: some single quotes will make more easy to spot what is the message
and what represents an executable or a gem. Gem named "a" confuses in
the generated language for non-english native speakers (at least it
does for me)
Luis Lavena
Perfection in design is achieved not when there is nothing more to add,
but rather when there is nothing more to take away.
Antoine de Saint-Exupéry

More information about the RubyGems-Developers mailing list